<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.71
Name: [2] Treść karty wywiadu pielęgniarskiego
Description: Szablon struktury CDA dla treści karty wywiadu pielęgniarskiego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000">
   <title>[2] Treść karty wywiadu pielęgniarskiego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]
Item: (plCdaNursingHistoryNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]"
         id="tmp-r-db9c9135-7d23-4e74-84fe-d804128ef886">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'])&gt;=1 ">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']
Item: (plCdaNursingHistoryNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']"
         id="tmp-r-affa0935-db3e-47f3-bbb2-913b4f397a99">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="@contextConductionInd">(plCdaNursingHistoryNoteComponent): atrybut @contextConductionInd MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaNursingHistoryNoteComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(//(hl7:observation|hl7:substanceAdministration|hl7:supply|hl7:procedure|hl7:encounter|hl7:act|hl7:externalDocument)[not(ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']) and not(ancestor::hl7:entryRelationship) and not(hl7:text/hl7:reference)])&gt;0">(plCdaNursingHistoryNoteComponent): Element text dla danego wyrażenia klinicznego jest wymagany, ze wskazaniem referencji do odpowiedniego elementu section.text.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71']/@nullFlavor)">(plCdaNursingHistoryNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71'])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']|hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingHistoryNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingHistoryNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71']
Item: (plCdaNursingHistoryNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.71']"
         id="tmp-r-673eed82-9f25-47f5-aff6-7d9caeca007e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNoteComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.71'">(plCdaNursingHistoryNoteComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.71'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingHistoryNoteComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']
Item: (plCdaNursingHistoryNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']"
         id="tmp-r-f837c852-218b-4d25-a0b9-eaa2cef967f1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="not(hl7:component[not(hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])">(plCdaNursingHistoryNoteComponent): Jeżeli w dokumencie znajduje się sekcja postaci binarnej dokumentu, to nie może występować sekcja innego typu.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]/@nullFlavor)">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]
Item: (plCdaNursingHistoryNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]
Item: (plCdaNursingHistoryNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]"
         id="tmp-r-a1e92e35-d90e-4223-9382-64ba9204488c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']]/@nullFlavor)">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']])&lt;=1">(plCdaNursingHistoryNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']]
Item: (plCdaNursingHistoryNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.46']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.71
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]
Item: (plCdaNursingHistoryNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.71-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingHistoryNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
