<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.41
Name: [4] Pielęgniarska skala oceny odleżyn
Description: Szablon CDA dla pielęgniarskiej skali oceny odleżyn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000">
   <title>[4] Pielęgniarska skala oceny odleżyn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]"
         id="tmp-r-95551114-77c8-4762-8aaa-4b20f9dfecb5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/@nullFlavor)">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41'])&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']"
         id="tmp-r-0bf9143b-0ca5-4a6e-8433-4006f6756c8a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingPressureUlcerAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingPressureUlcerAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingPressureUlcerAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41'] | self::hl7:id | self::hl7:code[@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala klasyfikacji odleżyn'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='10025798'][@typeCode='COMP'] | self::hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065'][@typeCode='COMP'])])">(plCdaNursingPressureUlcerAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny odleżyn" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41']/@nullFlavor)">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41'])&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&gt;=1 and not(hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]/@nullFlavor)">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='10025798']|hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingPressureUlcerAssesmentEntry): wybór (hl7:entryRelationship[hl7:observation/hl7:code/@code='10025798'] lub hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065'])&lt;=1">(plCdaNursingPressureUlcerAssesmentEntry): element hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41']
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.41']"
         id="tmp-r-5722b7eb-b90d-44db-aa94-049714887f76">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.41'">(plCdaNursingPressureUlcerAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.41'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:id
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:id"
         id="tmp-r-733f29d1-4981-4c3f-b845-366c01d1369f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:code[(@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]"
         id="tmp-r-9c1b1f93-a2c8-4635-b981-dbe035669968">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SODL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala klasyfikacji odleżyn' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingPressureUlcerAssesmentEntry): Wartość elementu MUSI wynosić code 'SODL' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala klasyfikacji odleżyn' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:statusCode
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:statusCode"
         id="tmp-r-8bafd610-cac3-4d48-bbd0-a20597719b0e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingPressureUlcerAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:effectiveTime
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:effectiveTime"
         id="tmp-r-5dfb0482-9f6a-44ff-aacc-2ffda7475ea2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPressureUlcerAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:entryRelationship[hl7:observation/hl7:code/@code='10025798']
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:entryRelationship[hl7:observation/hl7:code/@code='10025798']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaNursingPressureUlcerAssesmentEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaNursingPressureUlcerAssesmentEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065']
Item: (plCdaNursingPressureUlcerAssesmentEntry)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.41']/hl7:entryRelationship[hl7:observation/hl7:code/@code='10029065']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="string(@typeCode)='COMP'">(plCdaNursingPressureUlcerAssesmentEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.41-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaNursingPressureUlcerAssesmentEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
   </rule>
</pattern>
